> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coverwhale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request Cancellation

> Creates a cancellation endorsement (first step of the cancellation workflow).



## OpenAPI

````yaml post /submission/{displayId}/cancel-request
openapi: 3.0.0
info:
  title: Cover Whale API V1
  contact:
    name: Cover Whale API Team
  version: '1.0'
servers:
  - url: https://api.coverwhale.dev/v1
security:
  - AccessToken: []
tags:
  - name: Authentication
    description: Authenticating & Interacting with the API
paths:
  /submission/{displayId}/cancel-request:
    post:
      tags:
        - Policy Lifecycle
      summary: Request Cancellation
      description: >-
        Creates a cancellation endorsement (first step of the cancellation
        workflow).
      operationId: cancelRequest
      parameters:
        - name: AccessToken
          in: header
          required: true
          schema:
            type: string
        - name: displayId
          in: path
          description: Submission display ID
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              required:
                - effective_date_transaction
              properties:
                effective_date_transaction:
                  description: Cancellation effective date (MM/DD/YYYY)
                  type: string
                  example: 03/01/2026
                effective_date_transaction_al:
                  description: Optional separate AL cancellation date (MM/DD/YYYY)
                  type: string
                  example: 03/01/2026
              type: object
      responses:
        '201':
          description: Cancellation request created
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                    example: success
                  submission_number:
                    type: string
                  transaction_id:
                    type: integer
                  cancellation_status:
                    type: string
                type: object
        '401':
          description: Unauthorized
        '404':
          description: Submission not found
        '422':
          description: Cancel request not available
components:
  securitySchemes:
    AccessToken:
      type: apiKey
      description: >-
        AWS Cognito access token obtained from the /authentication endpoint.
        Token expires after 3600 seconds.
      name: AccessToken
      in: header

````